package org.jeecg.modules.checkData.dynamicStaticGeometricData.service;

import org.jeecg.modules.checkData.dynamicStaticGeometricData.entity.RailInspectionEquipmentItem;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.checkData.dynamicStaticGeometricData.entity.RailInspectionEquipmentItemDetailVO;
import org.jeecg.modules.checkData.dynamicStaticGeometricData.entity.RailInspectionEquipmentItemVO;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 检查数据-动静态几何尺寸数据-轨检仪静态检查数据-检查项目 服务类
 * </p>
 *
 * @author hkl
 * @since 2023-07-16
 */
public interface IRailInspectionEquipmentItemService extends IService<RailInspectionEquipmentItem> {

    List<RailInspectionEquipmentItemVO> queryList(String masterId);

    void uploadFile(String masterId, MultipartFile file);

    List<RailInspectionEquipmentItemDetailVO> detailList(String masterId);

    void saveRecord(RailInspectionEquipmentItem record);

    void updateRecord(RailInspectionEquipmentItem record);

    void deleteRecord(String itemId);
}
